%global debug_package %{nil}
Name:           gwe
Version:        0.12.3
Release:        1%{?dist}
Summary:	System utility designed to provide information, control the fans and overclock your NVIDIA card
License:        GPLv3    
Url:            https://gitlab.com/leinardi/gwe/
Source:         %{url}-/archive/release/%{name}-release.tar.gz#/%{name}-%{version}.tar.xz
BuildRequires:  meson
BuildRequires:  desktop-file-utils
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk3-devel
BuildRequires:  libappstream-glib
BuildRequires:  libdazzle
BuildRequires:  libnotify
BuildRequires:  python3-cairocffi
BuildRequires:  python3-devel
BuildRequires:  python3-xlib
Requires:  libdazzle
Requires:  python3-matplotlib
Requires:  python3-peewee
Requires:  python3-gobject
Requires:  python3-pyxdg
Requires:  python3-requests
Requires:  python3-rx
Requires:  py3nvml
Requires:  xorg-x11-drv-nvidia-cuda

%description
System utility designed to provide information, control the fans and overclock your NVIDIA card.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/com.leinardi.gwe.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/com.leinardi.gwe.desktop

%files
%license COPYING.txt
%doc CHANGELOG.md README.md RELEASING.md CODE_OF_CONDUCT.md CONTRIBUTING.md
%{_bindir}/%{name}
%{python3_sitelib}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/gwe/*.gresource
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/symbolic/apps/*.svg
%{_datadir}/metainfo/*.xml

%changelog

